Subject: RE: type command
From: [email-masked] (Jon Thackray)

1 May 1998 07:56:56 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

Bob McGowan writes:
 > In b19, the sh.exe is a different shell, based on something called ash.
 > It does not support the shell built-in command "type" (to check, run
 > "sh"
 > from the bash command line, then put in the command "type type".  The
 > ash
 > shell generates the output "type: not found" while bash says "type is a
 > shell builtin").  The make is probably running "sh" so if it is actually
 > ash then you have problems.  Rename sh.exe to ash.exe (if you want to
 > keep
 > it), then copy bash.exe to sh.exe.  Hopefully this will fix the problem.

Given that ash.exe is no use for commands like make, is there a good
reason why sh.exe, which one is recommended to copy into /bin so that
it is available for make, is actually ash.exe, which is no use for
make?
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".